Get specified recipient
GET
/v1/Survey/Recipients/{id}
const url = 'https://rms.dev.caspeco.net/api/booking/v1/Survey/Recipients/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://rms.dev.caspeco.net/api/booking/v1/Survey/Recipients/exampleGet specified recipient
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Id of given recipient
Responses
Section titled “Responses”The specified SurveyRecipient structures
Media typeapplication/json
object
id
string format: guid
rev
integer format: int64
surveyId
string format: guid
ref
string
referenceTime
string format: date-time
name
string
emailAddress
string
mobilePhone
string
invitationMethod
integer
sendTime
string format: date-time
remindTime
string format: date-time
callbackUri
string
sentTime
string format: date-time
remindedTime
string format: date-time
openedTime
string format: date-time
respondedTime
string format: date-time
callbackCallCount
integer format: int32
callbackCallSuccess
boolean
callbackCalledTime
string format: date-time
status
integer
replaceParams
object
key
additional properties
string
Example
{ "application/json": { "id": "aa2af7b1-c640-4d4b-a9b2-8eaf68b446b7", "rev": 0, "surveyId": "ff07bf69-8453-4c1b-b407-1a3467a4109a", "referenceTime": "2025-12-01T07:50:09.6146362+00:00", "name": "Lennart Lennartsbesökare", "emailAddress": "lennart@lennart.se", "mobilePhone": "0701234567", "invitationMethod": 0, "sendTime": "2025-12-01T12:50:09.6146329+00:00", "remindTime": "2025-12-01T17:50:09.614636+00:00", "callbackCallCount": 0, "callbackCallSuccess": false, "status": 1, "replaceParams": { "name": "Lennart", "personalMsg": "Glöm inte att sälja din freestyle Lennart!" } }}